.witr_all_pd0 {
  padding: 0;
}

/* ===== 3. Slider Area CSS ===== */
.witr_swiper_area {
  overflow: hidden;
  position: relative;
}
.textril_banner .witr_swiper_height {
  position: relative;
  background-position: center center;
  height: 700px !important;
  background-size: cover;
}
.textril_banner .witr_swiper_height:before,
.textril_banner .wittr_gallery_swiper:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}
.textril_banner .witr_sw_text_area {
  width: 100%;
  height: 100%;
  padding-left: 115px;
}
.textril_banner .witr_swiper_content {
  position: relative;
  /* top: 64%; */
  /* transform: translateY(-50%); */
  height: 100%;
  margin-top: 118px;
  padding: 25px 80px;
  background: #f3f3f3;
}
.textril_banner .witr_swiper_content h1 {
  max-width: 90%;
  font-size: 20px;
  /* display: inline; */
  color: var(--color-primary);
  /* margin-bottom: 15px; */
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.textril_banner .witr_swiper_content h1 span,
.textril_banner .witr_swiper_content h2 span,
.textril_banner .witr_swiper_content h3 span {
  color: #2626d0;
}
.textril_banner .witr_swiper_content h2,
.textril_banner .witr_swiper_content h3 {
  font-size: 28px;
  font-weight: 700;
  line-height: 1;
}
.textril_banner .witr_swiper_content h2 {
  padding: 15px 0px 0px 0px;
}
.textril_banner .witr_swiper_content p {
  width: 95%;
  font-size: 18px;
  font-weight: 400;
  margin-top: 20px;
}

.textril_banner .slider_btn {
  margin-top: 50px;
}
.textril_banner .witr_btn {
  font-size: 16px;
  font-weight: 700;
  border-radius: 30px;
  text-align: center;
  /*position: relative;*/
  /*margin-right: 15px;*/
  /*z-index: 2;*/
  transition: 1s;
  padding: 14px 40px;
  color: #fff;
  background: var(--color-primary);
  /*display: inline-block;*/
}
.textril_banner .witr_btn:hover {
  background: var(--btn-hover);
  color: #fff;
}
.textril_banner .witr_swiper_content .witr_btn.active {
  color: var(--color-primary);
  background: transparent;
  border: 1px solid var(--color-primary);
}
.textril_banner .witr_swiper_content .witr_btn.active:hover {
  background-color: var(--color-primary);
  color: #fff;
}
.witr_swiper_area .text-left .slider_vd_icon {
  right: 16%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}
.witr_swiper_area .swiper-slide a {
  display: inline-block;
}
.textril_banner .witr_icon_section {
  margin: 30px 0 0 0;
}
.textril_banner .display_flex {
  display: flex;
  align-items: center;
}
.textril_banner .witr_flow_text {
  margin-right: 20px;
}
.textril_banner .witr_flow_text h5 {
  font-size: 18px;
}
.textril_banner .textril_slider_icon {
  display: inline-block;
}
.textril_banner .textril_slider_icon ul li {
  list-style: none;
  display: inline-block;
}
.witr_swiper_area .swiper-slide a {
  display: inline-block;
}
.textril_banner .witr_swiper_content_icon a i {
  color: #fff;
  background: #0b2138;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.08);
  font-size: 15px;
  width: 35px;
  height: 35px;
  line-height: 35px;
  border-style: none;
  text-align: center;
  border-radius: 30px;
  display: inline-block;
  transition: 0.5s;
}
.textril_banner .witr_swiper_content_icon a i:hover {
  background: var(--color-primary);
}

@keyframes witr_movelr_box45 {
  0% {
    transform: translateX(0px);
  }
  100% {
    transform: translateX(45px);
  }
}
.textril_banner .slider_witr_shap .witr_shape_item_inner {
  top: 0;
  right: 30px;
  left: auto;
}
.textril_banner .slider_witr_shap .witr_shape_image {
  animation: witr_movelr_box45 5s linear 1s infinite alternate running;
}
.witr_swiper_area .text-center .slider_vd_icon {
  top: 23%;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
}
.textril_banner .tx_svd_icon {
  font-size: 20px;
  width: 83px;
  height: 83px;
  line-height: 83px;
}
.witr_swiper_area .swiper-slide a {
  display: inline-block;
}
.textril_banner .tx_svd_icon {
  border-radius: 100%;
  text-align: center;
  animation: witr-shadow 1s linear infinite;
}
.textril_banner .tx_svd_icon,
.textril_banner .tx_svd_icon i {
  background: var(--color-primary);
  color: #fff;
}
.textril_banner .swiper_witr_inner {
  margin-top: 118px;
  margin-right: 120px;
  margin-bottom: -38px;
}
/* slick button css */
.textril_banner .witr_ds_content_area:hover .slick-next,
.textril_banner .witr_ds_content_area:hover .slick-prev {
  opacity: 1;
}
.textril_banner .witr_ds_content_area .slick-prev {
  left: 15px;
}
.textril_banner .witr_ds_content_area .slick-next {
  right: 15px;
}
.textril_banner .swiper-button-next,
.textril_banner .swiper-button-prev {
  position: absolute;
  top: 50%;
  width: 27px;
  height: 44px;
  margin-top: -22px;
  z-index: 10;
  cursor: pointer;
  -webkit-background-size: 27px 44px;
  background-size: 27px 44px;
  background: no-repeat 50%;
  color: #ff6000;
  transition: 0.5s;
}
.textril_banner .swiper-button-next:after,
.textril_banner .swiper-button-prev:after {
  font-size: 30px;
}
.textril_banner .swiper-button-next:hover,
.textril_banner .swiper-button-prev:hover {
  padding: 30px;
  background: #fff;
}
.textril_banner .swiper-button-next:hover,
.textril_banner .swiper-button-prev:hover,
.textril_banner .witr_ds_content_inner h1 span,
.textril_banner .witr_ds_content_inner h2 span,
.textril_banner .witr_ds_content_inner h3 span {
  color: #ff6000;
}

@media (min-width: 1400px) and (max-width: 1800px) {
  .textril_banner .swiper_witr_inner {
    margin-bottom: -70px;
  }

  .textril_banner .witr_swiper_content {
    padding: 95px 50px 120px 50px;
  }

  .textril_banner .witr_sw_text_area {
    padding-left: 50px;
  }
  .textril_banner .swiper_witr_inner {
    margin-right: 50px;
  }
}

@media (min-width: 1200px) and (max-width: 1440px) {
  .textril_banner .witr_containers {
    width: 93%;
  }
  .textril_banner .witr_sw_text_area {
    padding-left: 20px;
  }
  .textril_banner .swiper_witr_inner {
    margin-right: 20px;
  }

  .textril_banner .witr_swiper_content {
    padding: 95px 0 120px 20px;
  }
}

@media (min-width: 1365px) and (max-width: 1660px) {
  /* swiper slider */
  .witr_swiper_area .text-right .witr_slider_thumb {
    left: -95px !important;
  }

  .witr_swiper_area .text-left .witr_slider_thumb {
    right: -95px !important;
  }

  .textril_banner .witr_swiper_height {
    width: 100% !important;
  }

  .textril_banner .w_slider_3 .witr_swiper_height {
    width: 100% !important;
    transform: translateX(-50%) !important;
    left: 15%;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .textril_banner .witr_swiper_content {
    padding: 95px 0px 120px 15px;
  }
  /* swiper slider */
  .textril_banner .witr_swiper_height {
    width: 100% !important;
  }

  .textril_banner .witr_swiper_content h2,
  .textril_banner .witr_swiper_content h3 {
    font-size: 50px;
  }

  .textril_banner .swiper_witr_inner {
    margin-right: 0;
    margin-bottom: -61px;
    margin-top: 114px;
  }
  .textril_banner .witr_swiper_content {
    margin-top: 114px;
  }

  .textril_banner .witr_sw_text_area {
    padding-left: 0;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  /* swiper slider */
  .textril_banner .witr_sw_text_area {
    width: 100%;
    padding-left: 0;
  }

  .textril_banner .witr_swiper_content {
    /* top: 54%; */
    padding: 65px 15px 100px 15px;
    margin-top: 0;
  }
  .textril_banner .witr_swiper_content .slider_btn {
    margin-top: 30px;
  }
  .textril_banner .witr_sw_text_area .witr_swiper_content h2,
  .textril_banner .witr_sw_text_area .witr_swiper_content h3 {
    -webkit-line-clamp: 2;
  }
  .textril_banner .witr_swiper_content p {
    -webkit-line-clamp: 4;
  }

  .textril_banner .swiper_witr_inner {
    margin-top: 0;
    margin-right: 0;
  }

  .textril_banner .witr_swiper_height {
    height: 630px !important;
  }

  .textril_banner .witr_swiper_height {
    width: 100% !important;
  }

  .textril_banner .w_slider_4 .witr_swiper_height {
    margin-left: 0px !important;
  }

  .textril_banner .t1.witr_swiper_height {
    width: 100% !important;
  }

  .textril_banner .w_slider_3 .t1.witr_swiper_height {
    transform: translateX(0) !important;
  }

  .textril_banner .t2.witr_swiper_height {
    width: 50% !important;
    left: -20px;
  }

  .textril_banner .w_slider_3 .t2.witr_swiper_height {
    transform: translateX(-50%) !important;
    left: 91%;
  }

  .witr_swiper_area .text-left .slider_vd_icon {
    right: 48%;
    top: 17%;
  }

  .textril_banner .witr_sw_text_area.text-right,
  .textril_banner .witr_sw_text_area.text-left {
    text-align: center !important;
  }

  .textril_banner .witr_swiper_content h2,
  .textril_banner .witr_swiper_content h3 {
    font-size: 35px;
  }

  .textril_banner .witr_swiper_content .witr_btn.active {
    margin-top: 20px;
  }
}

@media (max-width: 992px) {
  /* swiper slider */
  .textril_banner .witr_swiper_content p {
    width: 100%;
    font-size: 15px;
  }

  .textril_banner .slider_btn {
    margin-top: 30px;
  }

  .witr_swiper_area {
    background-image: none;
  }

  .textril_banner .witr_swiper_content {
    padding: 115px 15px 150px 15px;
    height: auto;
  }

  .textril_banner .witr_swiper_content h1 {
    font-size: 18px;
  }

  .textril_banner .witr_swiper_content h2,
  .textril_banner .witr_swiper_content h3 {
    font-size: 25px;
  }

  .textril_banner .witr_shape_item {
    display: none;
  }

  .textril_banner .witr_swiper_content h2 {
    padding: 0;
  }

  .textril_banner .witr_swiper_height {

    height: auto !important;
  }
  .textril_banner .swiper_witr_inner .witr_swiper_height {
    height: 400px !important;
    margin-top: 0;
  }

  .textril_banner .w_slider_3 .witr_swiper_height {
    transform: translateX(0) !important;
  }

  .textril_banner .w_slider_4 .witr_swiper_height {
    margin-left: 0px !important;
  }

  .textril_banner .m1.witr_swiper_height {
    width: 100% !important;
  }

  .witr_swiper_area .text-right .slider_vd_icon {
    left: 40% !important;
    top: 12% !important;
  }

  .witr_swiper_area .text-center .slider_vd_icon {
    top: 12%;
  }

  .textril_banner .witr_sw_text_area.text-right,
  .textril_banner .witr_sw_text_area.text-left {
    text-align: center !important;
  }

  .textril_banner .witr_sw_text_area {
    padding-left: 0;
  }

  .textril_banner .swiper-button-prev,
  .textril_banner .swiper-button-next {
    display: none;
  }

  .witr_swiper_area .witr_btn {
    margin-right: 0;
    margin-bottom: 10px;
  }

  .textril_banner .witr_btn {
    padding: 10px 26px;
  }

  .textril_banner .swiper_witr_inner {
     margin-top: 0; 
             margin-right: 0;
        margin-bottom: 0;

  }

  .textril_banner .witr_section_title_inner h2 {
    font-size: 16px !important;
  }

  .witr_swiper_area {
    background-image: none !important;
  }
}

@media (min-width: 10px) and (max-width: 991px) {
  .textril_banner .witr_swiper_content {
    margin-top: 0;
  }
  .textril_banner .witr_swiper_content {
        padding: 30px 15px;
  }
  .textril_banner .witr_swiper_content h2, .textril_banner .witr_swiper_content h3{
    font-size: 24px;
  }
  .textril_banner .witr_btn {
    font-size: 12px;
  }

}

@media(max-width:991px){
  .textril_banner .col-md-6 {
    -ms-flex: 0 0 50%;
    -webkit-box-flex: 0;
    flex: 0 0 100%;
    max-width: 100%;
  }
  
  .textril_banner .row {
    flex-direction: column;
  }

  
}

@media screen and (max-width:576px){
    .textril_banner .witr_swiper_content h2, .textril_banner .witr_swiper_content h3{
    font-size: 16px;
  }
  .textril_banner .witr_swiper_content p{
    font-size: 14px !important;
  }
}